package com.inspect.ivs.vo;

public class IvsPlaybackRecListVo extends IvsVo {
   private static final long serialVersionUID = -329942244070706691L;
   private String code;
   private String serial;
   private String channel;
   private String starttime;
   private String endtime;
   private String type;
   private String center;
   private String indistinct;
   private String timeout;

   public String getCode() {
      return this.code;
   }

   public String getSerial() {
      return this.serial;
   }

   public String getChannel() {
      return this.channel;
   }

   public String getStarttime() {
      return this.starttime;
   }

   public String getEndtime() {
      return this.endtime;
   }

   public String getType() {
      return this.type;
   }

   public String getCenter() {
      return this.center;
   }

   public String getIndistinct() {
      return this.indistinct;
   }

   public String getTimeout() {
      return this.timeout;
   }

   public void setCode(String code) {
      this.code = code;
   }

   public void setSerial(String serial) {
      this.serial = serial;
   }

   public void setChannel(String channel) {
      this.channel = channel;
   }

   public void setStarttime(String starttime) {
      this.starttime = starttime;
   }

   public void setEndtime(String endtime) {
      this.endtime = endtime;
   }

   public void setType(String type) {
      this.type = type;
   }

   public void setCenter(String center) {
      this.center = center;
   }

   public void setIndistinct(String indistinct) {
      this.indistinct = indistinct;
   }

   public void setTimeout(String timeout) {
      this.timeout = timeout;
   }

   public boolean equals(Object o) {
      if(o == this) {
         return true;
      } else if(!(o instanceof IvsPlaybackRecListVo)) {
         return false;
      } else {
         IvsPlaybackRecListVo other = (IvsPlaybackRecListVo)o;
         if(!other.canEqual(this)) {
            return false;
         } else {
            label119: {
               Object this$code = this.getCode();
               Object other$code = other.getCode();
               if(this$code == null) {
                  if(other$code == null) {
                     break label119;
                  }
               } else if(this$code.equals(other$code)) {
                  break label119;
               }

               return false;
            }

            Object this$serial = this.getSerial();
            Object other$serial = other.getSerial();
            if(this$serial == null) {
               if(other$serial != null) {
                  return false;
               }
            } else if(!this$serial.equals(other$serial)) {
               return false;
            }

            label105: {
               Object this$channel = this.getChannel();
               Object other$channel = other.getChannel();
               if(this$channel == null) {
                  if(other$channel == null) {
                     break label105;
                  }
               } else if(this$channel.equals(other$channel)) {
                  break label105;
               }

               return false;
            }

            Object this$starttime = this.getStarttime();
            Object other$starttime = other.getStarttime();
            if(this$starttime == null) {
               if(other$starttime != null) {
                  return false;
               }
            } else if(!this$starttime.equals(other$starttime)) {
               return false;
            }

            label91: {
               Object this$endtime = this.getEndtime();
               Object other$endtime = other.getEndtime();
               if(this$endtime == null) {
                  if(other$endtime == null) {
                     break label91;
                  }
               } else if(this$endtime.equals(other$endtime)) {
                  break label91;
               }

               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if(this$type == null) {
               if(other$type != null) {
                  return false;
               }
            } else if(!this$type.equals(other$type)) {
               return false;
            }

            label77: {
               Object this$center = this.getCenter();
               Object other$center = other.getCenter();
               if(this$center == null) {
                  if(other$center == null) {
                     break label77;
                  }
               } else if(this$center.equals(other$center)) {
                  break label77;
               }

               return false;
            }

            label70: {
               Object this$indistinct = this.getIndistinct();
               Object other$indistinct = other.getIndistinct();
               if(this$indistinct == null) {
                  if(other$indistinct == null) {
                     break label70;
                  }
               } else if(this$indistinct.equals(other$indistinct)) {
                  break label70;
               }

               return false;
            }

            Object this$timeout = this.getTimeout();
            Object other$timeout = other.getTimeout();
            if(this$timeout == null) {
               if(other$timeout != null) {
                  return false;
               }
            } else if(!this$timeout.equals(other$timeout)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof IvsPlaybackRecListVo;
   }

   public int hashCode() {
      int PRIME = 1;
      int result = 1;
      Object $code = this.getCode();
       result = result * 59 + ($code == null?43:$code.hashCode());
      Object $serial = this.getSerial();
      result = result * 59 + ($serial == null?43:$serial.hashCode());
      Object $channel = this.getChannel();
      result = result * 59 + ($channel == null?43:$channel.hashCode());
      Object $starttime = this.getStarttime();
      result = result * 59 + ($starttime == null?43:$starttime.hashCode());
      Object $endtime = this.getEndtime();
      result = result * 59 + ($endtime == null?43:$endtime.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null?43:$type.hashCode());
      Object $center = this.getCenter();
      result = result * 59 + ($center == null?43:$center.hashCode());
      Object $indistinct = this.getIndistinct();
      result = result * 59 + ($indistinct == null?43:$indistinct.hashCode());
      Object $timeout = this.getTimeout();
      result = result * 59 + ($timeout == null?43:$timeout.hashCode());
      return result;
   }

   public String toString() {
      return "SipbPlaybackRecordListVo(code=" + this.getCode() + ", serial=" + this.getSerial() + ", channel=" + this.getChannel() + ", starttime=" + this.getStarttime() + ", endtime=" + this.getEndtime() + ", type=" + this.getType() + ", center=" + this.getCenter() + ", indistinct=" + this.getIndistinct() + ", timeout=" + this.getTimeout() + ")";
   }
}
